Page MenuHomePhabricator

Hovercards transpose lang and dir
Closed, ResolvedPublic

Description

(Recent report from hewiki user):

recently, hovercards text on hewiki is displayed left-aligned.
inspecting the HTML, i see:

<a dir="he" lang="rtl" class="mwe-popups-extract" href="/wiki/%D7%AA%D7%9C%D7%9E%D7%95%D7%93">

instead of the expected

lang="he" dir="rtl"

peace.

Details

Related Gerrit Patches:

Event Timeline

Kipod created this task.May 19 2016, 6:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 19 2016, 6:07 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 20 2016, 4:56 AM

Change 289814 had a related patch set uploaded (by Ricordisamoa):
Unswap langcode and langdir variables in popup.mustache

https://gerrit.wikimedia.org/r/289814

Change 289814 merged by jenkins-bot:
Unswap langcode and langdir variables in popup.mustache

https://gerrit.wikimedia.org/r/289814

jhobs renamed this task from hovercards transopse lang and dir to Hovercards transpose lang and dir.May 23 2016, 4:21 PM
jhobs triaged this task as Medium priority.May 23 2016, 6:11 PM
jhobs added a project: Readers-Web-Backlog.

If I have to SWAT another fix tomorrow I'll do this, otherwise we'll let it ride the train.

Jhernandez closed this task as Resolved.May 24 2016, 10:24 AM
Jhernandez added a subscriber: Jhernandez.

Confirmed fix in http://reading-web-staging.wmflabs.org/wiki/Main_Page

Will either swat today or ride train and be available tomorrow/thursday.